cc.funkemunky.api.utils

## Class Pastebin

- java.lang.Object
- - cc.funkemunky.api.utils.Pastebin

    public class Pastebin
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Pastebin.Privacy`

### Constructor Summary

Constructors
Constructor and Description
`Pastebin()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `makePaste(java.lang.String body, java.lang.String name, Pastebin.Privacy privacy)`
`static java.lang.String` `makePaste(java.lang.String body, java.lang.String name, Pastebin.Privacy privacy, java.lang.String expire)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pastebin

    public Pastebin()

### Method Detail

#### makePaste

    public static java.lang.String makePaste(java.lang.String body,
                                             java.lang.String name,
                                             Pastebin.Privacy privacy)
                                      throws java.io.UnsupportedEncodingException

Throws:
  `java.io.UnsupportedEncodingException`

#### makePaste

    public static java.lang.String makePaste(java.lang.String body,
                                             java.lang.String name,
                                             Pastebin.Privacy privacy,
                                             java.lang.String expire)
                                      throws java.io.UnsupportedEncodingException

Throws:
  `java.io.UnsupportedEncodingException`